/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#if !defined(AFX_SCEMFOPTGENPANE_H__8FC73799_8631_4BC3_9DA9_3B0200D75D28__INCLUDED_)
#define AFX_SCEMFOPTGENPANE_H__8FC73799_8631_4BC3_9DA9_3B0200D75D28__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SCEMFOptGenPane.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CSCEMFOptGenPane dialog

class CSCEMFOptGenPane : public CPropertyPage
{
// Construction
public:
	CSCEMFOptGenPane();   // standard constructor

	enum SCEDocLoadSettings
	{
		SCE_DLSettingsDefault=0,
		SCE_DLSettingsLast
	};
	
	enum SCEDocSaveSettings
	{
		SCE_DSSettingsConvert=0,
		SCE_DSSettingsWysiwyg
	};

// Dialog Data
	//{{AFX_DATA(CSCEMFOptGenPane)
	enum { IDD = IDD_OPT_GENPANE };
	int			m_iDocLoadSettings;
	int			m_iDocSaveSettings;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSCEMFOptGenPane)
	public:
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SCLoadSettings();

	// Generated message map functions
	//{{AFX_MSG(CSCEMFOptGenPane)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCEMFOPTGENPANE_H__8FC73799_8631_4BC3_9DA9_3B0200D75D28__INCLUDED_)
