/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#ifndef _SCEMFRASTERIZERDEFS_H_
#define _SCEMFRASTERIZERDEFS_H_

// Error codes
#define SC_BRK_ERR_BASE				10

#define SC_BRK_CHANGEDCSTATE_FAILED	(SC_BRK_ERR_BASE + 0)
#define SC_BRK_BMP_CONV_ERR			(SC_BRK_ERR_BASE + 1)
#define SC_BRK_BMP_ROPMODE			(SC_BRK_ERR_BASE + 2)
#define SC_BRK_BMP_BITS				(SC_BRK_ERR_BASE + 3)	
#define	SC_BRK_BMP_PLANES			(SC_BRK_ERR_BASE + 4)

#define	SC_BRK_TEXT_BAD_RECORD		(SC_BRK_ERR_BASE + 6)
#define	SC_BRK_NORENDERER			(SC_BRK_ERR_BASE + 7)


#endif //_SCEMFRASTERIZERDEFS_H_
//  ------------------------------------------------------------
