/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#ifndef _SCGDIPLUSTYPES_H_
#define _SCGDIPLUSTYPES_H_

#include "gdiplus.h"

// using namespace Gdiplus; // no, we won't do it here
#define GDPPen			Gdiplus::Pen
#define GDPBrush		Gdiplus::Brush
#define GDPFont			Gdiplus::Font
#define GDPGraphics		Gdiplus::Graphics
#define GDPMetafile		Gdiplus::Metafile
#define GDPGCState		Gdiplus::GraphicsState
#define GDPPoint		Gdiplus::Point
#define GDPPointF		Gdiplus::PointF
#define GDPRect			Gdiplus::Rect
#define GDPRectF		Gdiplus::RectF
#define GDPImgAttribs	Gdiplus::ImageAttributes
#define GDPMatrix		Gdiplus::Matrix


#endif //_SCGDIPLUSTYPES_H_
//  ------------------------------------------------------------
