/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#ifndef _SCEMFRASTERIZER_H_
#define _SCEMFRASTERIZER_H_

#include "SCEMFdcRenderer.h"
#include "SCEMFgdiParser.h"

class SCEMFRasterizer : public CSCEMFgdiParser
{
// Construction/Destruction
public:
	SCEMFRasterizer();
	virtual ~SCEMFRasterizer();

// Accessors
	// getters
	#ifdef _DEBUG
    virtual CString SCGetClassName() { return _T("SCEMFRasterizer"); };
	#endif
	CSCEMFdcRenderer&	SCGetRenderer() { return m_Renderer; }

	// setters

// Operation
public:

// Implementation
protected:
	// helpers

private:
	CSCEMFdcRenderer	m_Renderer;
};


#endif //_SCEMFRASTERIZER_H_
//  ------------------------------------------------------------
