/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#ifndef _KSCEMFLIBERRORINDEX_H_
#define _KSCEMFLIBERRORINDEX_H_

#include "SCGenInclude.h"
#include SC_INC_ERRLIB(kErrDomains.h)

//ERRORINDEX : keep that keyword, so this file can be easily found by Technical Writers

// TODO:
//	#define SC_EMFLIB_NOERROR_ERROR					(0  + SC_ERRBASE_EMFLIB) //1000TODOINDEX
//	#define SC_EMFLIB_NOERROR_ERROR					(1  + SC_ERRBASE_EMFLIB) //1001UNUSED

// tmp
#define SC_EMFERR_NOERROR		0
#define SC_EMFERR_OUTOFMEMORY	1


#endif //_KSCEMFLIBERRORINDEX_H_
//  ------------------------------------------------------------
